import { FC } from "react";
import { ScrollSpyActions, ScrollSpyEntry, ScrollSpyParams } from "./type";
/**
 * @param ScrollSpyParams Optional params
 * @param ScrollSpyParams.offsetPx Distance from Y coordinate of the base (px)
 * @param ScrollSpyParams.throttleMs Interval of update processing (ms)
 * @returns ScrollSpyProvider - This Provider components provides useScrollSpy return value descendants of this Provider
 * @returns activeEntry - DOM element activated based on scroll position (only one)
 * @returns actions - Actions are used to control registered DOM elements
 */
export declare const useGlobalScrollSpy: ({ offsetPx, throttleMs, }?: ScrollSpyParams) => {
    ScrollSpyProvider: FC<{}>;
    activeEntry: ScrollSpyEntry | null;
    actions: ScrollSpyActions;
};
